'use strict';
app.directive('nextAction', function(){
  return {
    restrict: 'AE',
    replace: true,
    templateUrl: 'views/add-macros/next-action.html',
    scope: {
      continueState: '@',
      backState: '@'
    },
    controller: function($scope, $state) {
      $scope.continue = function() {
        $state.go($scope.continueState);
      };
      $scope.backToRoom = function() {
        $state.go($scope.backState);
      };
      $scope.finish = function() {
        $state.go('menu.advanced.options');
      };
    }
  };
});